List settings
GET
/api/v1/settings
const url = 'https://osctrl.net/api/v1/settings';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/settings \ --header 'Authorization: <Authorization>'Returns settings for all services.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
boolean
boolean
createdAt
string
deletedAt
object
time
string
valid
Valid is true if Time is not NULL
boolean
environmentID
integer
id
integer
info
string
integer
integer format: int64
name
string
service
string
string
string
type
string
updatedAt
string
Examplegenerated
[ { "boolean": true, "createdAt": "example", "deletedAt": { "time": "example", "valid": true }, "environmentID": 1, "id": 1, "info": "example", "integer": 1, "name": "example", "service": "example", "string": "example", "type": "example", "updatedAt": "example" }]Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}